Skip to main content
GET
/
plaud
/
search
Search transcripts
curl --request GET \
  --url https://{deployment}/api/v1/plaud/search \
  --header 'X-API-KEY: <api-key>'
{
  "status": 123,
  "data": {
    "size": 123,
    "query": "<string>",
    "keywords": [
      "<string>"
    ],
    "list": [
      {
        "id": "<string>",
        "title": "<string>",
        "start_time": 123,
        "trans_chunks": [
          {
            "id": "<string>",
            "content": "<string>"
          }
        ]
      }
    ]
  }
}

Authorizations

X-API-KEY
string
header
required

Your deployment's API key (MMK_API_KEY). Your Plaud account credentials are stored server-side — you do not send them.

Query Parameters

query
string
required

Search text.

from
string

Result source/context selector passed through to Plaud.

date_from
integer<int64>

Lower bound on recording start time (epoch ms).

date_to
integer<int64>

Upper bound on recording start time (epoch ms).

Response

Search results

status
integer
data
object